Import Shotgun persons (users). Send a list of Shotgun person entries in the JSON body. Returns created or updated persons with department associations.
POST
/import/shotgun/persons
curl
curl -X POST "http://api.example.com/import/shotgun/persons" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '[
{
"id": 12345,
"firstname": "John",
"lastname": "Doe",
"email": "john.doe@example.com",
"login": "jdoe",
"sg_status_list": "act",
"permission_rule_set": {
"name": "Manager"
},
"department": {
"name": "Animation"
}
}
]'
import requests
url = "http://api.example.com/import/shotgun/persons"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = [
{
"id": 12345,
"firstname": "John",
"lastname": "Doe",
"email": "john.doe@example.com",
"login": "jdoe",
"sg_status_list": "act",
"permission_rule_set": {
"name": "Manager"
},
"department": {
"name": "Animation"
}
}
]
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/import/shotgun/persons' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '[{"id":12345,"email":"john.doe@example.com","login":"jdoe","lastname":"Doe","firstname":"John","department":{"name":"Animation"},"sg_status_list":"act","permission_rule_set":{"name":"Manager"}}]'
Request example
[
{
"id": 12345,
"email": "john.doe@example.com",
"login": "jdoe",
"lastname": "Doe",
"firstname": "John",
"department": {
"name": "Animation"
},
"sg_status_list": "act",
"permission_rule_set": {
"name": "Manager"
}
}
]
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"role": "manager",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
]